%global pypi_name cvdupdate
%global pypi_version 1.1.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        ClamAV Private Database Mirror Updater Tool

License:        Apache-2.0
URL:            https://github.com/Cisco-Talos/cvdupdate
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
A tool to download and update clamav databases and database patch files
for the purposes of hosting your own database mirror.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%pyproject_extras_subpkg -n python3-cvdupdate color

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cvdupdate


%check
%tox


%files -n python3-cvdupdate -f %{pyproject_files}
%license LICENSE
%doc README.md
#{_bindir}/cvdupdate_greeting


%changelog
* Mon Feb 27 2023 Orion Poplawski <orion@nwra.com> - 1.1.1-1
- Initial Fedora package
